CREATE TABLE Kino(
  Name VARCHAR(8),
  Plaetze INTEGER,
  Saele INTEGER,
  PRIMARY KEY(Name)
);

INSERT INTO Kino VALUES('Gloria',200,3);
INSERT INTO Kino VALUES('Apollo',300,2);

CREATE TABLE Film(
  FID INTEGER,
  Titel VARCHAR(8),
  Laenge INTEGER,
  PRIMARY KEY(FID)
);

INSERT INTO Film VALUES(1,'Die Nase',90);
INSERT INTO Film VALUES(2,'Die Hand',85);
INSERT INTO Film VALUES(3,'Der Arm',120);
INSERT INTO Film VALUES(4,'Das Bein',75);

CREATE TABLE Vorfuehrung(
  Film INTEGER,
  Kino VARCHAR(8),
  PRIMARY KEY(Film,Kino),
  FOREIGN KEY(Film) REFERENCES Film(FID),
  FOREIGN KEY(Kino) REFERENCES Kino(Name),
  CONSTRAINT V1 CHECK(Kino<>'Gloria' OR Film<>13),
  CONSTRAINT V2 CHECK(Film<500 OR Film>600)
);

INSERT INTO Vorfuehrung VALUES(1,'Gloria');
INSERT INTO Vorfuehrung VALUES(2,'Gloria');
INSERT INTO Vorfuehrung VALUES(3,'Gloria');
INSERT INTO Vorfuehrung VALUES(2,'Apollo');
INSERT INTO Vorfuehrung VALUES(4,'Apollo');

COMMIT;